Package Details: wine-lol 4.20-1

Git Clone URL: https://aur.archlinux.org/wine-lol.git (read-only, click to copy)
Package Base: wine-lol
Description: A compatibility layer for running Windows programs - Staging branch with League Of Legends fixes
Upstream URL: http://www.wine-staging.com
Licenses: LGPL
Submitter: M-Reimer
Maintainer: M-Reimer
Last Packager: M-Reimer
Votes: 13
Popularity: 2.56
First Submitted: 2019-05-17 19:51
Last Updated: 2019-11-21 18:11

Dependencies (140)

Required by (1)

Sources (5)

Pinned Comments

M-Reimer commented on 2019-05-17 19:53

This package is maintained on Github: https://github.com/M-Reimer/wine-lol

Please report your issues here: https://github.com/M-Reimer/wine-lol/issues

For all questions that are not related to the PKGBUILD directly, please ask here: https://www.reddit.com/r/leagueoflinux/

For people with slower PC's: Here is my binary repository: https://m-reimer.de/wine-lol/

Please don't flag out of date just because there is a new Wine version! The whole idea of a separate wine-lol is to be decoupled from the official updates. As long as a wine update doesn't provide any advantage for playing LoL there is absolutely no need to rebuild wine-lol!

Latest Comments

1 2 Next › Last »

M-Reimer commented on 2019-11-16 09:30

For anyone with the freetype problem: Your glibc versions differ! Check your system glibc version with:

$ pacman -Q glibc

Then compare with your installed wine-lol-glibc version:

$ pacman -Q wine-lol-glibc

Only the parts before the minus sign matter!

If they don't match, you have to upgrade wine-lol-glibc first before building wine-lol!

tarmabal commented on 2019-11-04 04:24

I solved the FreeType not found problem by creating a sym link.

ln -s /lib/libfreetype.so /opt/wine-lol/lib32

I am wondering why this package needs to use specific 32 bit libraries and can not use system 32 bit libraries.

vesterlay commented on 2019-10-06 17:34

Can't update because of the error: checking for -lfreetype... not found configure: error: FreeType 32-bit development files not found. Fonts will not be built. Use the --without-freetype option if you really want this. ==> ERROR: A failure occurred in build(). Aborting...

M-Reimer commented on 2019-09-23 13:31

The glibc patch variant is better as, unlike the disabling of vsyscall32, it has no negative effect on performance of 32 bit applications. It also is easier to set up. Just install wine-lol-glibc and wine-lol --> done. No need to do any system configuration changes.

zor1984qq commented on 2019-09-23 13:26

Does these package includes patches from last post of these thread???: https://bugs.winehq.org/show_bug.cgi?id=47198#c25

"With wine + staging + patch 64496 and 64507 is working perfectly.

I created a small repo with a PKGBUILD to build it:

https://github.com/jorpilo/wine-staging-lol

IDK if it would be interesting to set it up as an AUR for people to build it easily.

Is it better to fix it with the alternative patch or with the glib patch?

Thanks for dedicating so much time into this!"

M-Reimer commented on 2019-07-09 16:53

For such questions it's the best thing to ask on this subreddit: https://www.reddit.com/r/leagueoflinux/

I used a helper script, but this is a bit outdated and needs some work, so I will not recommend it.

It is possible to use Lutris for installation with wine-lol if you use the "unpublished" installers, they have. These will install using "regular wine" but you can switch to wine-lol after installing League.

Akitake commented on 2019-07-09 09:11

Where would be an up-to-date guide on running League using this package? Also, implementing d9vk and the like.

abueide commented on 2019-06-24 22:41

Is there any way to make this work with d9vk?

baronleonardo commented on 2019-06-15 16:35

could you please configure <https://build.opensuse.org> to be a repository for this package ?

M-Reimer commented on 2019-06-02 08:57

At first you should try with plain makepkg and no AUR helper.

If this doesn't help, please open an Issue on Github. This comment-thingy here doesn't work well for discussing issues.

I don't know if I can help you but maybe one of the other users had similar problems and can give you some info on how to fix this.